diff --git python-pyramid-chameleon.spec python-pyramid-chameleon.spec
index a1856bbb65..19ce7f7183 100644
--- python-pyramid-chameleon.spec
+++ python-pyramid-chameleon.spec
@@ -16,7 +16,7 @@
 Name:             python-pyramid-chameleon
 Summary:          Bindings for the Chameleon templating system in the Pyramid web framework
 Version:          0.1
-Release:          9%{?dist}
+Release:          10%{?dist}
 
 # https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#Modification_Variant
 License:          BSD
@@ -28,22 +28,29 @@ BuildArch:        noarch
 BuildRequires:    python2-devel
 BuildRequires:    python-setuptools
 
+
+%global _description\
+Bindings for the Chameleon templating system for the Pyramid web framework.\
+
+
+%description %_description
+
+%package -n python2-pyramid-chameleon
+Summary: %summary
 Requires:         python-chameleon
 Requires:         python-pyramid
 Requires:         python-setuptools
 Requires:         python-translationstring
 Requires:         python-venusian
-
 %if 0%{?fedora} || 0%{?rhel} >= 7
 Requires:         python-zope-interface
 %else
 # RHEL 6 had an older version
 Requires:         python-zope-interface4
 %endif
+%{?python_provide:%python_provide python2-pyramid-chameleon}
 
-%description
-Bindings for the Chameleon templating system for the Pyramid web framework.
-
+%description -n python2-pyramid-chameleon %_description
 
 %if %{with_python3}
 %package -n python3-pyramid-chameleon
@@ -94,7 +101,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-pyramid-chameleon
 %doc CONTRIBUTORS.txt COPYRIGHT.txt README.rst
 %{python2_sitelib}/%{module}*
 
@@ -106,6 +113,10 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-10
+- Python 2 binary package renamed to python2-pyramid-chameleon
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-qrcode.spec python-qrcode.spec
index cfc3da4db5..9856a0e026 100644
--- python-qrcode.spec
+++ python-qrcode.spec
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        5.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python QR Code image generator
 
 License:        BSD
@@ -31,17 +31,18 @@ generation of QR Codes.\
 %package -n python2-%{pkgname}
 Summary: %summary
 Requires:       python-imaging
-Requires:       %{name}-core = %{version}-%{release}
+Requires:       python2-%{pkgname}-core = %{version}-%{release}
 %{?python_provide:%python_provide python2-%{pkgname}}
 
 %description -n python2-%{pkgname} %_description
 
-%package core
+%package -n python2-%{pkgname}-core
 Requires:       python-six
 Conflicts:      python-qrcode < 5.0
 Summary:        Python 2 QR Code image generator (core library)
+%{?python_provide:%python_provide python2-%{pkgname}-core}
 
-%description core
+%description -n python2-%{pkgname}-core
 Core Python 2 module for QR code generation. Does not contain image rendering.
 
 
@@ -144,7 +145,7 @@ popd
 %{python2_sitelib}/%{pkgname}/image/pil.py*
 
 
-%files core
+%files -n python2-%{pkgname}-core
 %doc python2/README.rst python2/CHANGES.rst
 %license python2/LICENSE
 %dir %{python2_sitelib}/%{pkgname}/
@@ -181,6 +182,9 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.1-9
+- Also rename the python2 core subpackage to python2-qrcode-core
+
 * Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.1-8
 - Python 2 binary package renamed to python2-qrcode
   See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
diff --git python-repoze-who.spec python-repoze-who.spec
index 3e5802d3e9..a3df898dfc 100644
--- python-repoze-who.spec
+++ python-repoze-who.spec
@@ -6,7 +6,7 @@
 
 Name:           python-repoze-who
 Version:        2.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        An identification and authentication framework for WSGI
 
 Group:          Development/Languages
@@ -22,38 +22,44 @@ BuildRequires:  python-zope-interface
 BuildRequires:  python-coverage
 BuildRequires:  python-webob
 
-Requires:       python-setuptools
-Requires:       python-zope-interface
-Requires:       python-webob
-
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-nose
 BuildRequires:      python3-coverage
 BuildRequires:      python3-zope-interface
 BuildRequires:      python3-webob
-
-Requires:           python3-setuptools
-Requires:           python3-zope-interface
-Requires:           python3-webob
 %endif
 
 
-%description
-repoze.who is an identification and authentication framework for arbitrary WSGI
-applications.  It acts as WSGI middleware.
+%global _description\
+repoze.who is an identification and authentication framework for arbitrary WSGI\
+applications.  It acts as WSGI middleware.\
+\
+repoze.who is inspired by Zope 2's Pluggable Authentication Service (PAS) (but\
+repoze.who is not dependent on Zope in any way; it is useful for any WSGI\
+application).  It provides no facility for authorization (ensuring whether a\
+user can or cannot perform the operation implied by the request).  This is\
+considered to be the domain of the WSGI application.\
 
-repoze.who is inspired by Zope 2's Pluggable Authentication Service (PAS) (but
-repoze.who is not dependent on Zope in any way; it is useful for any WSGI
-application).  It provides no facility for authorization (ensuring whether a
-user can or cannot perform the operation implied by the request).  This is
-considered to be the domain of the WSGI application.
 
+%description %_description
+
+%package -n python2-repoze-who
+Summary: %summary
+Requires:       python-setuptools
+Requires:       python-zope-interface
+Requires:       python-webob
+%{?python_provide:%python_provide python2-repoze-who}
+
+%description -n python2-repoze-who %_description
 
 %if 0%{?with_python3}
 %package -n python3-repoze-who
 Summary:        An identification and authentication framework for WSGI
 Group:          Development/Languages
+Requires:           python3-setuptools
+Requires:           python3-zope-interface
+Requires:           python3-webob
 
 %description -n python3-repoze-who
 repoze.who is an identification and authentication framework for arbitrary WSGI
@@ -104,7 +110,7 @@ PYTHONPATH=$(pwd) %{__python3} setup.py test
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-repoze-who
 %doc README.txt COPYRIGHT.txt LICENSE.txt
 %{python_sitelib}/repoze/who/
 %{python_sitelib}/%{modname}-*
@@ -118,6 +124,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-12
+- Python 2 binary package renamed to python2-repoze-who
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-requestbuilder.spec python-requestbuilder.spec
index f508e1fd3f..0c06fa18a3 100644
--- python-requestbuilder.spec
+++ python-requestbuilder.spec
@@ -3,7 +3,7 @@
 
 Name:           python-requestbuilder
 Version:        0.7.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Command line-driven HTTP request builder
 
 License:        ISC
@@ -16,21 +16,28 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-requests >= 2.4
-Requires:       python-six >= 1.5
-
 %if 0%{?el6}
 BuildRequires:  python-argparse
-Requires:       python-argparse
 %endif
 
-Provides:       python2-requestbuilder = %{version}-%{release}
 
+%global _description\
+Requestbuilder is a framework for creating command line tools that send\
+HTTP requests simply and quickly.\
+
+
+%description %_description
 
-%description
-Requestbuilder is a framework for creating command line tools that send
-HTTP requests simply and quickly.
+%package -n python2-requestbuilder
+Summary: %summary
+Requires:       python-requests >= 2.4
+Requires:       python-six >= 1.5
+%if 0%{?el6}
+Requires:       python-argparse
+%endif
+%{?python_provide:%python_provide python2-requestbuilder}
 
+%description -n python2-requestbuilder %_description
 
 %prep
 %setup -q -n requestbuilder-%{version}
@@ -45,13 +52,17 @@ rm -rf $RPM_BUILD_ROOT
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-requestbuilder
 %license COPYING
 %doc README
 %{python2_sitelib}/requestbuilder*
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-4
+- Python 2 binary package renamed to python2-requestbuilder
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-requests-mock.spec python-requests-mock.spec
index 3bc41bf140..6770c89765 100644
--- python-requests-mock.spec
+++ python-requests-mock.spec
@@ -9,7 +9,7 @@
 
 Name:           python-requests-mock
 Version:        1.3.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A requests mocking tool for python
 
 License:        ASL 2.0
@@ -135,7 +135,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-requests-mock
 %license LICENSE
 %doc README.rst ChangeLog
 %{python2_sitelib}/requests_mock
@@ -152,6 +152,9 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.0-2
+- Fix creation of python2- subpackage
+
 * Fri Nov 17 2017 Alfredo Moralejo <amoralej@redhat.com> - 1.3.0-1
 - Update to upstream 1.3.0. Required for OpenStack packages.
 
diff --git python-rhsm.spec python-rhsm.spec
index 60f9222436..3f2515adaa 100644
--- python-rhsm.spec
+++ python-rhsm.spec
@@ -10,7 +10,7 @@
 
 Name: python-rhsm
 Version: 1.20.2
-Release: 1%{?dist}
+Release: 2%{?dist}
 
 Summary: A Python library to communicate with a Red Hat Unified Entitlement Platform
 Group: Development/Libraries
@@ -31,22 +31,28 @@ BuildRequires: python-setuptools
 BuildRequires: python-six
 BuildRequires: openssl-devel
 
+# rpm-python is an old name for python2-rpm but RHEL6 uses the old name
+
+%{?python_provide:%python_provide %{name}}
+
+%global _description \
+A small library for communicating with the REST interface of a Red Hat Unified\
+Entitlement Platform. This interface is used for the management of system\
+entitlements, certificates, and access to content.
+
+%package -n python2-%{name}
+Summary: %summary
 %if %use_m2crypto
 Requires: %{?suse_version:python-m2crypto} %{!?suse_version:m2crypto}
 %endif
 Requires: python-dateutil
 Requires: python-iniparse
-# rpm-python is an old name for python2-rpm but RHEL6 uses the old name
 Requires: rpm-python
 Requires: python-six
 Requires: python-rhsm-certificates = %{version}-%{release}
+%{?python_provide:%python_provide python2-%{name}}
 
-%{?python_provide:%python_provide %{name}}
-
-%global _description \
-A small library for communicating with the REST interface of a Red Hat Unified\
-Entitlement Platform. This interface is used for the management of system\
-entitlements, certificates, and access to content.
+%description -n python2-%{name} %{_description}
 
 %description %{_description}
 
@@ -105,7 +111,7 @@ install etc-conf/ca/*.pem %{buildroot}%{_sysconfdir}/rhsm/ca
 %clean
 rm -rf %{buildroot}
 
-%files -n %{name}
+%files -n python2-%{name}
 %defattr(-,root,root,-)
 %doc README
 %dir %{python2_sitearch}/rhsm
@@ -128,6 +134,10 @@ rm -rf %{buildroot}
 %attr(644,root,root) %{_sysconfdir}/rhsm/ca/*.pem
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.20.2-2
+- Python 2 binary package renamed to python2-rhsm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Oct 09 2017 Kevin Howell <khowell@redhat.com> 1.20.2-1
 - 1354667: Better message for proxy/identity cert issue (wpoteat@redhat.com)
 - 1319927: [RFE] sub-man automatically enables yum plugins (jhnidek@redhat.com)
diff --git python-simplepath.spec python-simplepath.spec
index 11db8c8e31..dba1bff875 100644
--- python-simplepath.spec
+++ python-simplepath.spec
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.3.4
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        %{sum}
 
 License:        MIT
@@ -67,7 +67,7 @@ rm -fr %{buildroot}%{python2_sitelib}/tests
 rm -fr %{buildroot}%{python3_sitelib}/tests
 
 %if 0%{?with_python2}
-%files -n python-%{pypi_name}
+%files -n python2-%{pypi_name}
 %doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
 %license LICENSE.rst
 %{python2_sitelib}/%{pypi_name}
@@ -81,6 +81,9 @@ rm -fr %{buildroot}%{python3_sitelib}/tests
 %{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-2
+- Fix creation of python2- subpackage
+
 * Mon Jul 31 2017 Sundeep Anand <suanand@redhat.com> - 0.3.4-1
 - Version Update.
 
diff --git python-simplevisor.spec python-simplevisor.spec
index c740145c22..5208d55034 100644
--- python-simplevisor.spec
+++ python-simplevisor.spec
@@ -9,7 +9,7 @@
 
 Name:		python-simplevisor
 Version:	1.2
-Release:	6%{?dist}
+Release:	7%{?dist}
 Summary:	Python simple daemons supervisor
 Group:		Development/Libraries
 License:	ASL 2.0
@@ -21,27 +21,39 @@ BuildRequires:	python2-devel
 %if 0%{?with_python3}
 BuildRequires:	python3-devel
 %endif # if with_python3
-Provides:	python2-simplevisor
 %if 0%{?fedora} >= 24
 BuildRequires:	perl-generators
 %endif
 BuildRequires:	perl-No-Worries
-Requires:	perl-Config-General
-Requires:	perl-No-Worries
 %if ! 0%{?with_python3}
 BuildRequires:	python-argparse
-Requires:	python-argparse
 %endif
 # For python < 2.6 python-siplejson is required
 %if 0%{?fedora} < 11 || 0%{?rhel} <= 6
 BuildRequires:	python-simplejson
-Requires:	python-simplejson
 %endif
 
-%description
-Simplevisor is a simple daemons supervisor, it is inspired by
+%global _description\
+Simplevisor is a simple daemons supervisor, it is inspired by\
 Erlang OTP and it can supervise hierarchies of services.
 
+%description %_description
+
+%package -n python2-simplevisor
+Summary: %summary
+Provides:	python2-simplevisor
+Requires:	perl-Config-General
+Requires:	perl-No-Worries
+%if ! 0%{?with_python3}
+Requires:	python-argparse
+%endif
+%if 0%{?fedora} < 11 || 0%{?rhel} <= 6
+Requires:	python-simplejson
+%endif
+%{?python_provide:%python_provide python2-simplevisor}
+
+%description -n python2-simplevisor %_description
+
 %if 0%{?with_python3}
 %package -n python3-simplevisor
 Summary:	Python simple daemons supervisor
@@ -111,7 +123,7 @@ popd
 %clean
 rm -fr $RPM_BUILD_ROOT
 
-%files
+%files -n python2-simplevisor
 %defattr(-,root,root)
 %doc LICENSE README.rst CHANGES examples
 %{_mandir}/man?/%{srcname}.1*
@@ -139,6 +151,10 @@ rm -fr $RPM_BUILD_ROOT
 %endif # with_python3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-7
+- Python 2 binary package renamed to python2-simplevisor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sparklines.spec python-sparklines.spec
index 8d5cb4309a..0b1c4fa113 100644
--- python-sparklines.spec
+++ python-sparklines.spec
@@ -3,7 +3,7 @@
 
 Name:               python-sparklines
 Version:            0.9
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            A unicode sparkline generation library
 
 Group:              Development/Libraries
@@ -15,15 +15,23 @@ BuildArch:          noarch
 
 BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
-Requires:           python-setuptools
 
+
+%global _description\
+Takes series data via stdin, command line, or API and prints a sparkline\
+representation.
+
+%description %_description
+
+%package -n python2-sparklines
+Summary: %summary
+Requires:           python-setuptools
 %if 0%{?rhel} && 0%{?rhel} <= 6
 Requires:           python-argparse
 %endif
+%{?python_provide:%python_provide python2-sparklines}
 
-%description
-Takes series data via stdin, command line, or API and prints a sparkline
-representation.
+%description -n python2-sparklines %_description
 
 %prep
 %setup -q -n %{distname}-%{version}
@@ -40,7 +48,7 @@ rm -rf %{distname}.egg-info
 install -d -m 0755 %{buildroot}%{_mandir}/man1
 install -m 0644 man/sparkline.1 %{buildroot}%{_mandir}/man1/sparkline.1
 
-%files
+%files -n python2-sparklines
 %doc README.rst LICENSE
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{distname}-%{version}*
@@ -48,6 +56,10 @@ install -m 0644 man/sparkline.1 %{buildroot}%{_mandir}/man1/sparkline.1
 %{_mandir}/man1/sparkline.1*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-9
+- Python 2 binary package renamed to python2-sparklines
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sphinx-autobuild.spec python-sphinx-autobuild.spec
index 19c83b47ad..70e6688d3b 100644
--- python-sphinx-autobuild.spec
+++ python-sphinx-autobuild.spec
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.7.1
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        %{sum}
 
 License:        MIT
@@ -72,13 +72,15 @@ mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
 %endif
 
 %if 0%{?with_python2}
-%files -n python-%{pypi_name}
+%files -n python2-%{pypi_name}
+%else
+%files
+%endif
 %doc AUTHORS NEWS.rst README.rst
 %license LICENSE
 %{python2_sitelib}/%{name_with_underscore}
 %{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
 %{_bindir}/%{pypi_name}
-%endif
 
 %files -n python%{python3_pkgversion}-%{pypi_name}
 %doc AUTHORS NEWS.rst README.rst
@@ -88,6 +90,9 @@ mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
 %{_bindir}/%{pypi_name}-3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
+- Fix creation of python2- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sphinxcontrib-cheeseshop.spec python-sphinxcontrib-cheeseshop.spec
index 0bfbd247ae..5f3fbc9f4d 100644
--- python-sphinxcontrib-cheeseshop.spec
+++ python-sphinxcontrib-cheeseshop.spec
@@ -5,7 +5,7 @@
 
 Name:		python-%{upname}
 Version:	0.2
-Release:	6%{?dist}
+Release:	7%{?dist}
 Summary:	Sphinx extension cheeseshop
 %{?el5:Group:	System Environment/Libraries}
 
@@ -19,17 +19,25 @@ BuildArch:	noarch
 BuildRequires:	python2-devel
 BuildRequires:	python-setuptools
 
+
+%global _description\
+This extension adds directives for easy linking to Cheese Shop\
+(Python Package Index) packages.  It supports a directive and a\
+role, as well as a new config value.\
+
+
+%description %_description
+
+%package -n python2-%{upname}
+Summary: %summary
 %if 0%{?fedora} || 0%{?rhel} >= 7
 Requires: python-sphinx
 %else
 Requires: python-sphinx10
 %endif
+%{?python_provide:%python_provide python2-%{upname}}
 
-%description
-This extension adds directives for easy linking to Cheese Shop
-(Python Package Index) packages.  It supports a directive and a
-role, as well as a new config value.
-
+%description -n python2-%{upname} %_description
 
 %prep
 %setup -q -n %{upname}-%{version}
@@ -49,12 +57,16 @@ rm -rf *.egg-info
 %{?el5:rm -rf %{buildroot}}
 
 
-%files
+%files -n python2-%{upname}
 %doc README
 %{python2_sitelib}/*
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-7
+- Python 2 binary package renamed to python2-sphinxcontrib-cheeseshop
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sqlalchemy-utils.spec python-sqlalchemy-utils.spec
index 4a1a502cb7..969396839a 100644
--- python-sqlalchemy-utils.spec
+++ python-sqlalchemy-utils.spec
@@ -11,7 +11,7 @@
 
 Name:               python-sqlalchemy-utils
 Version:            0.32.12
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            Various utility functions for SQLAlchemy
 
 Group:              Development/Libraries
@@ -25,8 +25,6 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 BuildRequires:      python-six
 BuildRequires:      python-sqlalchemy >= 0.9.3
-Requires:           python-sqlalchemy >= 0.9.3
-Requires:           python-six
 
 
 %if 0%{?with_python3}
@@ -34,17 +32,27 @@ BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
 BuildRequires:      python3-six
 BuildRequires:      python3-sqlalchemy >= 0.9.3
-Requires:           python3-sqlalchemy >= 0.9.3
-Requires:           python3-six
 %endif # if with_python3
 
-%description
-Various utility functions and custom data types for SQLAlchemy.
+%global _description\
+Various utility functions and custom data types for SQLAlchemy.\
+
 
+%description %_description
+
+%package -n python2-sqlalchemy-utils
+Summary: %summary
+Requires:           python-sqlalchemy >= 0.9.3
+Requires:           python-six
+%{?python_provide:%python_provide python2-sqlalchemy-utils}
+
+%description -n python2-sqlalchemy-utils %_description
 
 %if 0%{?with_python3}
 %package -n         python3-sqlalchemy-utils
 Summary:            Various utility functions for SQLAlchemy
+Requires:           python3-sqlalchemy >= 0.9.3
+Requires:           python3-six
 
 %description -n python3-sqlalchemy-utils
 Various utility functions and custom data types for SQLAlchemy.
@@ -96,7 +104,7 @@ popd
 %{__python2} setup.py test
 
 
-%files
+%files -n python2-sqlalchemy-utils
 %doc README.rst LICENSE
 %{python2_sitelib}/sqlalchemy_utils
 %{python2_sitelib}/SQLAlchemy_Utils-%{version}*
@@ -110,6 +118,10 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.32.12-4
+- Python 2 binary package renamed to python2-sqlalchemy-utils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.12-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-straight-plugin.spec python-straight-plugin.spec
index b762c48325..f19674181a 100644
--- python-straight-plugin.spec
+++ python-straight-plugin.spec
@@ -6,7 +6,7 @@
 
 Name:           python-straight-plugin
 Version:        1.4.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Python plugin loader
 
 License:        BSD
@@ -26,22 +26,32 @@ BuildRequires:  python3-setuptools
 
 %if (0%{?rhel} && 0%{?rhel} <= 6)  || ( 0%{?fedora} && 0%{?fedora} <= 13 )
 BuildRequires:  python-importlib
-Requires:       python-importlib
 %endif
 
 
-%description
-straight.plugin is a Python plugin loader inspired by twisted.plugin with two
-important distinctions:
+%global _description\
+straight.plugin is a Python plugin loader inspired by twisted.plugin with two\
+important distinctions:\
+\
+ - Fewer dependencies\
+ - Python 3 compatible\
+\
+The system is used to allow multiple Python packages to provide plugins within\
+a namespace package, where other packages will locate and utilize. The plugins\
+themselves are modules in a namespace package where the namespace identifies\
+the plugins in it for some particular purpose or intent.\
 
- - Fewer dependencies
- - Python 3 compatible
 
-The system is used to allow multiple Python packages to provide plugins within
-a namespace package, where other packages will locate and utilize. The plugins
-themselves are modules in a namespace package where the namespace identifies
-the plugins in it for some particular purpose or intent.
+%description %_description
 
+%package -n python2-straight-plugin
+Summary: %summary
+%if (0%{?rhel} && 0%{?rhel} <= 6)  || ( 0%{?fedora} && 0%{?fedora} <= 13 )
+Requires:       python-importlib
+%endif
+%{?python_provide:%python_provide python2-straight-plugin}
+
+%description -n python2-straight-plugin %_description
 
 %if 0%{?with_python3}
 %package -n     python3-straight-plugin
@@ -102,7 +112,7 @@ popd
 #popd
 #%endif
 
-%files
+%files -n python2-straight-plugin
 # For noarch packages: sitelib
 %{python_sitelib}/*
 
@@ -113,6 +123,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-11
+- Python 2 binary package renamed to python2-straight-plugin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-summershum.spec python-summershum.spec
index 267bc034be..ada0c0240e 100644
--- python-summershum.spec
+++ python-summershum.spec
@@ -8,7 +8,7 @@
 
 Name:               python-summershum
 Version:            0.1.5
-Release:            6%{?dist}
+Release:            7%{?dist}
 Summary:            A fedmsg consumer that extracts and stores hashes of source files
 
 Group:              Development/Libraries
@@ -23,49 +23,59 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 
 BuildRequires:      fedmsg
-Requires:           fedmsg
 
 BuildRequires:      python-kitchen
-Requires:           python-kitchen
 
 %if 0%{?rhel} && 0%{?rhel} <= 6
 BuildRequires:      python-sqlalchemy0.8
-Requires:           python-sqlalchemy0.8
 BuildRequires:      python-logutils
-Requires:           python-logutils
 %else
 BuildRequires:      python-sqlalchemy
-Requires:           python-sqlalchemy
 %endif
 
-Requires:           rpmdevtools
-
-
-%description
-A fedmsg consumer that extracts and stores hashes of source files.
-
-summershum is composed of two components:
-
-- A fedmsg consumer plugin that listens for
-  ``org.fedoraproject.prod.git.lookaside.new`` messages.  Whenever a
-  contributor uploads a new source tarball to the lookaside cache,
-  summershum will download that tarball, unpack it, and calculate the
-  sha1 sum of every file in the tarball.  Those hashes are then stored in
-  a database to be queried later.
-- A cli tool ``summershum-cli`` that queries datagrepper for the fedmsg
-  history.  It then crawls through old lookaside messages to fill in data where
-  it was missed.
-
-With the summershum database, we can then make some interesting queries
-in short time:
 
-- how many files have this hash sum in all of fedora?  and for which
-  packages ?
-- we can easily find what is bundling what and generate a programatic list
-- we could check the db in taskotron tests
-- we could check to see how many packages include the full GPL license
-- how many packages have that license but with the old FSF address
+%global _description\
+A fedmsg consumer that extracts and stores hashes of source files.\
+\
+summershum is composed of two components:\
+\
+- A fedmsg consumer plugin that listens for\
+  ``org.fedoraproject.prod.git.lookaside.new`` messages.  Whenever a\
+  contributor uploads a new source tarball to the lookaside cache,\
+  summershum will download that tarball, unpack it, and calculate the\
+  sha1 sum of every file in the tarball.  Those hashes are then stored in\
+  a database to be queried later.\
+- A cli tool ``summershum-cli`` that queries datagrepper for the fedmsg\
+  history.  It then crawls through old lookaside messages to fill in data where\
+  it was missed.\
+\
+With the summershum database, we can then make some interesting queries\
+in short time:\
+\
+- how many files have this hash sum in all of fedora?  and for which\
+  packages ?\
+- we can easily find what is bundling what and generate a programatic list\
+- we could check the db in taskotron tests\
+- we could check to see how many packages include the full GPL license\
+- how many packages have that license but with the old FSF address\
+
+
+%description %_description
+
+%package -n python2-summershum
+Summary: %summary
+Requires:           fedmsg
+Requires:           python-kitchen
+%if 0%{?rhel} && 0%{?rhel} <= 6
+Requires:           python-sqlalchemy0.8
+Requires:           python-logutils
+%else
+Requires:           python-sqlalchemy
+%endif
+Requires:           rpmdevtools
+%{?python_provide:%python_provide python2-summershum}
 
+%description -n python2-summershum %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -88,13 +98,17 @@ rm -rf %{modname}.egg-info
 %{__python2} tests/__init__.py
 %endif
 
-%files
+%files -n python2-summershum
 %doc README.rst LICENSE
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{modname}-%{version}*
 %{_bindir}/summershum-cli
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.5-7
+- Python 2 binary package renamed to python2-summershum
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
